Bug 1428350 - [CLI] pcs currently does not support "pcs config (export ... | import-cman ...)" because of Python run-time mismatch with clufter (3 vs. 2)
Summary: [CLI] pcs currently does not support "pcs config (export ... | import-cman .....
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1428382
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 12:05 UTC by Jan Pokorný [poki]
Modified: 2017-04-03 22:53 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-03 22:19:35 UTC


Attachments (Terms of Use)
proposed fix (4.70 KB, patch)
2017-03-23 11:41 UTC, Tomas Jelinek
no flags Details | Diff

Description Jan Pokorný [poki] 2017-03-02 12:05:22 UTC
This bug is a placeholder for any action items regarding integration
that may emerge as soon as clufter supports Python 3.

No action required for now.

To document current state with python-clufter indeed installed:
$ pcs config export pcs-commands
> Error: Unable to perform export due to missing python-clufter package

Comment 1 Jan Pokorný [poki] 2017-03-21 12:35:15 UTC
There's one change in the spec needed for sure:
-Requires: python-clufter
+Requires: python3-clufter

This is applicable wherever "pcs" executable relies on Python 3,
so this covers all currently supported Fedora releases.

Moreover, there will likely be a small change required so as to
drop "encode('utf-8')" for the products of clufter library because
"bytestring" protocol already implies a mere sequence of bytes without
higher-level string interpretation (as relevant in Python 3 context).

Comment 2 Jan Pokorný [poki] 2017-03-22 16:25:23 UTC
re [comment 1]:

> Moreover, there will likely be a small change required so as to
> drop "encode('utf-8')" for the products of clufter library because
> "bytestring" protocol already implies a mere sequence of bytes without
> higher-level string interpretation (as relevant in Python 3 context).

That's indeed the case:
https://github.com/ClusterLabs/pcs/pull/130

Tested with: pcs config {import-cman,export pcs-commands*}

Comment 3 Tomas Jelinek 2017-03-23 11:41 UTC
Created attachment 1265690 [details]
proposed fix

Comment 4 Fedora Update System 2017-03-23 13:03:01 UTC
pcs-0.9.156-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-71e69a691b

Comment 5 Fedora Update System 2017-03-23 13:03:18 UTC
pcs-0.9.156-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7accc8010b

Comment 6 Fedora Update System 2017-03-24 19:52:31 UTC
pcs-0.9.156-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7accc8010b

Comment 7 Fedora Update System 2017-03-24 20:23:33 UTC
pcs-0.9.156-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-71e69a691b

Comment 8 Fedora Update System 2017-04-03 22:19:35 UTC
pcs-0.9.156-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-04-03 22:53:17 UTC
pcs-0.9.156-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.